Subject: bug#41863: closed (Re: [bug#41863] [PATCH] services: Fix gdm-autologin pam service.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 Oct 2020 19:15:02 +0000

Your bug report

#41863: [PATCH] services: Fix gdm-autologin pam service.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41863: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41863
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#41863] [PATCH] services: Fix gdm-autologin pam service.
From: Alex Griffin <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 07 Oct 2020 19:13:47 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Fixed in commit d8258177fe.

--
Alex Griffin

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Wednesday, October 7th, 2020 at 7:12 PM, Alex Griffin <[email-masked]> wrote:

> Fixed in commit d8258177fe.
>
> --
> Alex Griffin
>
> ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
>
> On Wednesday, October 7th, 2020 at 7:11 PM, Alex Griffin [email-masked] wrote:
>
> > Fixed in commit d8258177fe.
> >
> > --
> >
> > Alex Griffin
> >
> > ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
> >
> > On Friday, October 2nd, 2020 at 5:54 PM, Marius Bakke [email-masked] wrote:
> >
> > > Alex Griffin via Guix-patches via writes:
> > >
> > > > This patch fixes GDM's auto-login feature.
> > >
> > > > See the discussions in #35674 and #40411. It works for me, but I don't want to just commit it because I don't really understand PAM. (Then again, who does?)
> > >
> > > [...]
> > >
> > > > @@ -925,7 +926,7 @@ the GNOME desktop environment.")
> > >
> > > > (inherit (unix-pam-service "gdm-autologin"
> > >
> > > > #:login-uid? #t))
> > >
> > > > (auth (list (pam-entry
> > >
> > > > -   (control "[success=ok default=1]")
> > >
> > > > -   (control "optional")
> > >
> > > This is one of the alternatives Timothy proposed in #35674 back in May
> > >
> > > last year(!). As long as GDM still rejects wrong or blank passwords, I
> > >
> > > think it is good to go.
> > >
> > > It would be good to get it in 1.2.0. :-)

Subject: [PATCH] services: Fix gdm-autologin pam service.
From: Alex Griffin <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Sun, 14 Jun 2020 23:24:56 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch fixes GDM's auto-login feature.

See the discussions in #35674 and #40411. It works for me, but I don't want to just commit it because I don't really understand PAM. (Then again, who does?)

--
Alex Griffin
From 2d07fab70a4051189e013a20a95cfbb08c904803 Mon Sep 17 00:00:00 2001
From: Alex Griffin <[email-masked]>
Date: Sun, 14 Jun 2020 17:58:47 -0500
Subject: [PATCH] services: Fix gdm-autologin pam service.

* gnu/services/xorg.scm (gdm-pam-service): Mark pam_gdm.so optional.
---
 gnu/services/xorg.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/services/xorg.scm b/gnu/services/xorg.scm
index ca39994516..4590709187 100644
--- a/gnu/services/xorg.scm
+++ b/gnu/services/xorg.scm
@@ -7,6 +7,7 @@
 ;;; Copyright © 2019 Tim Gesthuizen <[email-masked]>
 ;;; Copyright © 2020 shtwzrd <[email-masked]>
 ;;; Copyright © 2020 Jakub Kądziołka <[email-masked]>
+;;; Copyright © 2020 Alex Griffin <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -925,7 +926,7 @@ the GNOME desktop environment.")
     (inherit (unix-pam-service "gdm-autologin"
                                #:login-uid? #t))
     (auth (list (pam-entry
-                 (control "[success=ok default=1]")
+                 (control "optional")
                  (module (file-append (gdm-configuration-gdm config)
                                       "/lib/security/pam_gdm.so")))
                 (pam-entry
-- 
2.26.2